// Night Skybox

textures/ut_pgrounds/nightsky
{
	qer_editorimage textures/ut_pgrounds/nightsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 40
	q3map_sun 0 0 0 0 0 0
	skyparms textures/ut_pgrounds/env/london - -
}

// Day Skybox

textures/ut_pgrounds/daysky
{
	qer_editorimage textures/ut_pgrounds/daysky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 150
	q3map_sun 1.0 1.0 1.0 150 135 30
	skyparms textures/ut_pgrounds/env/londonday - -
}

// Fog

textures/ut_pgrounds/fog_pgrounds
{
	qer_editorimage textures/ut_pgrounds/fog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture

	fogparms ( .250 .250 .250 ) 384

	{
		map textures/ut_pgrounds/fogcloud1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/ut_pgrounds/fogcloud2.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/ut_pgrounds/light_glass
{
	qer_editorimage textures/ut_pgrounds/shiny3.tga
	qer_trans 	0.5
	surfaceparm trans	

	{
		map textures/ut_pgrounds/glassfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}
